MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001864VCMIAI - Adventure Mappublic2014-07-28 21:032018-11-07 06:46
ReporterLullu 
Assigned ToWarmonger 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionnot fixable 
PlatformLinuxOSManjaroOS Version0.8.10
Product Version 
Target VersionFixed in Version0.next 
Summary0001864: game crash at AI's turn
Descriptionthe game keeps crashing when the AI has its turn. this is a medium map with only 1 AI.
the ending code from terminal where the game is launched:

Opening StupidAI
Loaded Stupid AI 0.1
Loaded client part of save 29
Waiting for server: 1
Establishing connection...
Found endpoints:
    0: 127.0.0.1:3030
Trying connection to 127.0.0.1:3030 (0)
Established connection with VCMI 0.96 (server)
    Connecting to the server: 1
Server opened savegame properly.
Sent info to server: 2
Warning: IntObject re-activated with mismatching used and active
Player 1 starting turn
Our heroes don't move anymore, exhaustive decomposition failed
Opening StupidAI
Loaded Stupid AI 0.1
Error: server failed to close correctly or crashed!
Check /home/lullu/.cache/vcmi/server_log.txt for more info
Warning: an orphaned child!
Lost connection to server, ending listening thread!
boost: mutex lock failed in pthread_mutex_lock: Invalid argument
Something wrong, lost connection while game is still ongoing...
terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::lock_error> >'
  what(): boost: mutex lock failed in pthread_mutex_lock: Invalid argument
Aborted
Steps To Reproduceload the last saved game.
Additional Informationplease answer if it is the wrong information that is provided.
TagsNo tags attached.
Attached Filestxt file icon VCMI_Server_log.txt [^] (357,884 bytes) 2014-07-28 21:03 [Show Content]
? file icon .dmrc [^] (46 bytes) 2014-07-29 11:09
? file icon kage2.vcgm1 [^] (2,506,826 bytes) 2014-07-29 14:09

- Relationships

-  Notes
(0004876)
Warmonger (administrator)
2014-07-29 08:27
edited on: 2014-07-29 08:28

Please enable AI trace mod and post the result. You cna also watch AI with vcmieagles cheat.

(0004877)
Lullu (reporter)
2014-07-29 11:09

I have made a quick video showing the AI move.
I have also enabled AI trace, where is the AI trace file located?
(0004878)
Lullu (reporter)
2014-07-29 11:48

Opening StupidAI
Loaded Stupid AI 0.1
Loaded client part of save 31
Waiting for server: 1
Establishing connection...
Found endpoints:
    0: 127.0.0.1:3030
Trying connection to 127.0.0.1:3030 (0)
Established connection with VCMI 0.96 (server)
    Connecting to the server: 1
Server opened savegame properly.
Sent info to server: 2
Warning: IntObject re-activated with mismatching used and active
Player 1 starting turn
Striving to goal of type WIN
Considering goal WIN
Considering goal INVALID
Trying to realize INVALID (value -10000000000.000)
Failed to realize subgoal of type INVALID (greater goal type was WIN), I will stop.
The error message was: I don't know how to fulfill this!
Our heroes don't move anymore, exhaustive decomposition failed
Striving to goal of type BUILD
Considering goal BUILD
Trying to realize BUILD (value 1.000)
Looking into Tirith
Failed to realize subgoal of type BUILD (greater goal type was BUILD), I will stop.
The error message was: BUILD has been realized as much as possible.
Looking into Melodia, MP=1500
Of all 1 destinations, object oid=439 seems nice
Melodia will try to visit Marletto Tower at (48 8 0)
Moving hero Melodia to tile 48 8 0
Hero Melodia moved from 48 10 0 to 48 8 0. Returning 1.
Of all 13 destinations, object oid=438 seems nice
Melodia will try to visit Oasis at (45 9 0)
Moving hero Melodia to tile 45 9 0
Hero Melodia moved from 48 8 0 to 45 9 0. Returning 1.
Of all 12 destinations, object oid=574 seems nice
Melodia will try to visit Golem Factory at (39 8 0)
Moving hero Melodia to tile 39 8 0
Adding query 16 - Blocking dialog query with 0 components - Much to your dismay, the Golem Factory is guarded by several Diamond Golems.

Do you wish to fight the guards?. Total queries count: 1
I'll answer the query 16 giving the choice 1
Attempted answering query 16 - Blocking dialog query with 0 components - Much to your dismay, the Golem Factory is guarded by several Diamond Golems.

Do you wish to fight the guards?. Request id=66. Waiting for results...
Opening StupidAI
Loaded Stupid AI 0.1
Removing query 16 - Blocking dialog query with 0 components - Much to your dismay, the Golem Factory is guarded by several Diamond Golems.

Do you wish to fight the guards?. Total queries count: 0
Error: server failed to close correctly or crashed!
Check /home/lullu/.cache/vcmi/server_log.txt for more info
Player 1: I won the Starting battle of Melodia attacking Melodia the Druid at 39 8 0!
Warning: an orphaned child!
Lost connection to server, ending listening thread!
boost: mutex lock failed in pthread_mutex_lock: Invalid argument
Something wrong, lost connection while game is still ongoing...
terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::lock_error> >'
  what(): boost: mutex lock failed in pthread_mutex_lock: Invalid argument
Aborted
(0004879)
Lullu (reporter)
2014-07-29 11:55

i uploaded the .dmrc file by fault. and apparently I can't make a video with file size under 5mb.

But the game crashes when AI goes into a Golem Factory.

Hope you can use the info :)
(0007678)
Povelitel (updater)
2018-11-06 14:44

It is ticket is very old. And it can not be reproducibility. I think it's better to close
(0007685)
AVS (administrator)
2018-11-07 06:46

@Povelitel please do not set "fixed" resolution if bug was not actually fixed.

- Issue History
Date Modified Username Field Change
2014-07-28 21:03 Lullu New Issue
2014-07-28 21:03 Lullu Status new => assigned
2014-07-28 21:03 Lullu Assigned To => Tow
2014-07-28 21:03 Lullu File Added: VCMI_Server_log.txt
2014-07-29 08:27 Warmonger Note Added: 0004876
2014-07-29 08:28 Warmonger Note Edited: 0004876 View Revisions
2014-07-29 11:09 Lullu Note Added: 0004877
2014-07-29 11:09 Lullu File Added: .dmrc
2014-07-29 11:48 Lullu Note Added: 0004878
2014-07-29 11:55 Lullu Note Added: 0004879
2014-07-29 14:09 Lullu File Added: kage2.vcgm1
2018-11-06 14:44 Povelitel Note Added: 0007678
2018-11-06 14:44 Povelitel Status assigned => resolved
2018-11-06 14:44 Povelitel Fixed in Version => 0.next
2018-11-06 14:44 Povelitel Resolution open => fixed
2018-11-06 14:44 Povelitel Assigned To Tow => Warmonger
2018-11-07 06:46 AVS Note Added: 0007685
2018-11-07 06:46 AVS Status resolved => closed
2018-11-07 06:46 AVS Resolution fixed => not fixable

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean